Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkSimpleCriticalSection Class Reference

`#include <vtkCriticalSection.h>`

List of all members.

## Public Methods
| vtkSimpleCriticalSection ()
| vtkSimpleCriticalSection (int isLocked)
void | Init ()
virtual | ~vtkSimpleCriticalSection ()
virtual const char * | GetClassName ()
virtual int | IsA (const char *name)
void | Delete ()
void | Lock (void)
void | Unlock (void)
## Static Public Methods
vtkSimpleCriticalSection * | New ()
vtkSimpleCriticalSection * | SafeDownCast (vtkSimpleCriticalSection *o)
## Protected Attributes
vtkCritSecType | CritSec

## Constructor & Destructor Documentation

vtkSimpleCriticalSection::vtkSimpleCriticalSection | ( |  | ) | `[inline]`

| Definition at line 86 of file vtkCriticalSection.h.

vtkSimpleCriticalSection::vtkSimpleCriticalSection | ( | int | isLocked | ) | `[inline]`

| Definition at line 91 of file vtkCriticalSection.h.

virtual vtkSimpleCriticalSection::~vtkSimpleCriticalSection | ( |  | ) | `[virtual]`

## Member Function Documentation

void vtkSimpleCriticalSection::Init | ( |  | ) |

vtkSimpleCriticalSection* vtkSimpleCriticalSection::New | ( |  | ) | `[static]`

virtual const char* vtkSimpleCriticalSection::GetClassName | ( |  | ) | `[inline, virtual]`

| Definition at line 108 of file vtkCriticalSection.h.

virtual int vtkSimpleCriticalSection::IsA | ( | const char * | name | ) | `[virtual]`

vtkSimpleCriticalSection* vtkSimpleCriticalSection::SafeDownCast | ( | vtkSimpleCriticalSection * | o | ) | `[static]`

void vtkSimpleCriticalSection::Delete | ( |  | ) | `[inline]`

| Definition at line 112 of file vtkCriticalSection.h.

void vtkSimpleCriticalSection::Lock | ( | void |  | ) |

| Lock the vtkCriticalSection Referenced by vtkCriticalSection::Lock().

void vtkSimpleCriticalSection::Unlock | ( | void |  | ) |

| Unlock the vtkCriticalSection Referenced by vtkCriticalSection::Unlock().

## Member Data Documentation

vtkCritSecType vtkSimpleCriticalSection::CritSec`[protected]`

| Definition at line 121 of file vtkCriticalSection.h.

The documentation for this class was generated from the following file:

- Common/vtkCriticalSection.h